// Button Colors
.btn{
	display: inline-flex;
  justify-content: center;
  align-items: center;
	border-width: 2px;
	padding: rem(8) rem(20);
	text-transform: capitalize;
	&.btn-sm{
		padding: 0.3rem 1rem;
	}
	&.btn-custom{
		padding: 0.6rem 1.3rem;
	  border-radius: 3px;
	}
	&.btn-custom-small{
		padding: 0.2rem 1rem;
	}
	&.btn-rounded{
		border-radius: 2.4rem;
	}
	&.no-hover{
		&:focus,
		&.focus{
			box-shadow: none;
		}
	}
	&:not(.no-hover){
		&:focus,
		&.focus{
			box-shadow: 0 0 0.2rem rgba(0, 123, 255, 0.25);
		}
	}
	&.btn-link{
		border-radius: 0;
		&:hover,
		&:focus,
		&.focus{
			color: $blue;
			text-decoration: none;
			box-shadow: none;
		}
	}
}
// Solid Btns
// Outline Btns
// @each $color, $value in $theme-colors {
@each $color, $value in $theme-colors {
	@if $color != transparent {
	  .btn-#{$color}{
	   	@include solid-btn($value, $white);
	  }
	}
}
@each $color, $value in $theme-colors {
	@if $color != transparent {
	  .btn-outline-#{$color}{
	    @include outline-btn($value, $bordercolor: $value);
	  }
	}
}
@each $color, $value in $gradients {
	@if $color != transparent {
		.btn-gradient-#{$color} {
			@include gradient(to right, $value);
		}
	}
}
// .btn-gradient-green {
//     // color: $textcolor;
// 	// background: linear-gradient(to right, $green 0%, $lightgreen 100%);
// 	$c: $green, $lightgreen, $lightgreen, $green;
// 	@include gradient(to right, $c);
// }
